## org.eclipse.emf.compare.diff.metamodel
Interface DiffGroup

All Superinterfaces:
  DiffElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  DiffGroupImpl

    public interface DiffGroup

extends DiffElement

A representation of the model object 'Group'. DiffGroups are used as container for differences so that we can maintain the original models' hierarchy within the differences model.

The following features are supported:

- `Right Parent`
- `Subchanges`

See Also:
  `DiffPackage.getDiffGroup()`

Method Summary
`org.eclipse.emf.ecore.EObject` `getRightParent()` Returns the value of the 'Right Parent' reference
`int` `getSubchanges()` Returns the value of the 'Subchanges' attribute
`boolean` `isSetSubchanges()` Returns whether the value of the '`Subchanges`' attribute is set
`void` `setRightParent(org.eclipse.emf.ecore.EObject value)` Sets the value of the '`Right Parent`' reference

Methods inherited from interface org.eclipse.emf.compare.diff.metamodel.DiffElement
`getIsHiddenBy, getKind, getSubDiffElements, isConflicting, isRemote, setRemote`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getRightParent

    org.eclipse.emf.ecore.EObject getRightParent()

  Returns the value of the 'Right Parent' reference.

  If the meaning of the 'Right Parent' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Right Parent' reference.
  See Also:
    `setRightParent(EObject)`, `DiffPackage.getDiffGroup_RightParent()`

### setRightParent

    void setRightParent(org.eclipse.emf.ecore.EObject value)

  Sets the value of the '`Right Parent`' reference.

  Parameters:
    `value` - the new value of the 'Right Parent' reference.
  See Also:
    `getRightParent()`

### getSubchanges

    int getSubchanges()

  Returns the value of the 'Subchanges' attribute.

  If the meaning of the 'Subchanges' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Subchanges' attribute.
  See Also:
    `isSetSubchanges()`, `DiffPackage.getDiffGroup_Subchanges()`

### isSetSubchanges

    boolean isSetSubchanges()

  Returns whether the value of the '`Subchanges`' attribute is set.

  Returns:
    whether the value of the 'Subchanges' attribute is set.
  See Also:
    `getSubchanges()`

Copyright 2006 IBM Corporation and others. All Rights Reserved.